Skip to content
Catholic Online Logo

In the early part of the nineteenth century when the Penal Laws were relaxed, and the ban which was placed on the Catholic education of youth in Ireland during a long period of persecution was removed, great efforts were made to employ the opportunities which a comparative freedom placed within the reach of Irish Catholics, and several new religious congregations of both men and women sprang into existence. Amongst these was the Institute of Presentation Brothers founded [in 1802] by [Blessed] Edmund Ignatius Rice. The Brothers continued a diocesan congregation approved of by Rome until 1889, when a change was effected in the constitution of the body with a view to its more rapid development. With the sanction of the bishops under whom the Brothers then laboured, all the houses of the Institute were united under a superior-general and Leo XIII approved and confirmed the new constitutions. The rapid spread of the order since then has been very marked. It now has several branches in each of the provinces of Ireland, and is also established in England and Canada. The Brothers conduct colleges, primary schools, industrial schools, and orphanages. A new novitiate and training college has been erected at Mount St. Joseph, Cork. The superior-general resides there. The Commissioners of National Education, after investigating the methods of training adopted by the institute, fully approved of them and recognized the training college. In the colleges, special attention is paid to the teaching of experimental science. Classes are taught in connection with the Intermediate Education Board and Technical Department. Students are prepared for the Civil Service as well as for the National University. In the industrial schools and orphanages, in addition to the ordinary school studies, various trades are taught, as also agriculture and horticulture. Moreover, all the boys get a two years' course in manual instruction.

[ Note: Edmund Ignatius Rice (b. 1762; d. 29 August, 1844), the founder of both the Presentation Brothers and the Irish Christian Brothers, was beatified by Pope John Paul II in Rome on 6 October, 1996.]

More Encyclopedia

The Catholic Encyclopedia is the most comprehensive resource on Catholic teaching, history, and information ever gathered in all of human history. This easy-to-search online version was originally printed between 1907 and 1912 in fifteen hard copy volumes.

Catholic Encyclopedia

Designed to present its readers with the full body of Catholic teaching, the Encyclopedia contains not only precise statements of what the Church has defined, but also an impartial record of different views of acknowledged authority on all disputed questions, national, political or factional. In the determination of the truth the most recent and acknowledged scientific methods are employed, and the results of the latest research in theology, philosophy, history, apologetics, archaeology, and other sciences are given careful consideration.

No one who is interested in human history, past and present, can ignore the Catholic Church, either as an institution which has been the central figure in the civilized world for nearly two thousand years, decisively affecting its destinies, religious, literary, scientific, social and political, or as an existing power whose influence and activity extend to every part of the globe. In the past century the Church has grown both extensively and intensively among English-speaking peoples. Their living interests demand that they should have the means of informing themselves about this vast institution, which, whether they are Catholics or not, affects their fortunes and their destiny.

Copyright © Catholic Encyclopedia. Robert Appleton Company New York, NY. Volume 1: 1907; Volume 2: 1907; Volume 3: 1908; Volume 4: 1908; Volume 5: 1909; Volume 6: 1909; Volume 7: 1910; Volume 8: 1910; Volume 9: 1910; Volume 10: 1911; Volume 11: - 1911; Volume 12: - 1911; Volume 13: - 1912; Volume 14: 1912; Volume 15: 1912

Catholic Online Catholic Encyclopedia Digital version Compiled and Copyright © Catholic Online


Newsletter Sign Up icon

Stay up to date with the latest news, information, and special offers

Subscribe to Catholic OnlineYouTube Channel

the FEED
by Catholic Online

  • BIGGER THAN ISIS - There's a hidden power behind ISIS and it's so big ...
  • The Miracle Prayer HD Video
  • President likens Syrian refugees to pilgrims on Mayflower in ...
  • 'Black Friday' leaving bruises as shoppers trample each other for ...
  • Prayer For Courage HD Video
  • St. Catherine Laboure: Saint of the Day for Saturday, November 28, 2015
  • Daily Readings for Saturday, November 28, 2015

Daily Readings

Reading 1, Daniel 7:15-27
15 'I, Daniel, was deeply disturbed and the visions that passed through ... Read More

Psalm, Daniel 3:82, 83, 84, 85, 86, 87
82 Bless the Lord, all the human race: praise and glorify him for ... Read More

Gospel, Luke 21:34-36
34 'Watch yourselves, or your hearts will be coarsened by debauchery and ... Read More

Saint of the Day

Saint of the Day for November 28th, 2015 Image

St. Catherine Laboure
November 28: St. Catherine Laboure, virgin, was born on May 2, ... Read More